import type { PropType } from '@vue/composition-api';
import type { CascaderContextType, TreeNode } from '../interface';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    iconClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    itemClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}> & import("@vue/composition-api").Data, {}, {}, {
    node: {
        type: PropType<TreeNode>;
        default(): {};
    };
    cascaderContext: {
        type: PropType<CascaderContextType>;
    };
    onChange: PropType<() => void>;
    onClick: PropType<() => void>;
    onMouseenter: PropType<() => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    node: {
        type: PropType<TreeNode>;
        default(): {};
    };
    cascaderContext: {
        type: PropType<CascaderContextType>;
    };
    onChange: PropType<() => void>;
    onClick: PropType<() => void>;
    onMouseenter: PropType<() => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    node: TreeNode;
} & {
    onClick?: () => void;
    onChange?: () => void;
    onMouseenter?: () => void;
    cascaderContext?: CascaderContextType;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronRightIcon: import("@ldesign/icons-vue").GlobalIconType;
    iconClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    itemClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    node: TreeNode;
} & {
    onClick?: () => void;
    onChange?: () => void;
    onMouseenter?: () => void;
    cascaderContext?: CascaderContextType;
}, {
    node: TreeNode;
}, true>);
export default _default;
